Bug 214679 - Fedora 6 won't qurey correctly, FC5 will.
Fedora 6 won't qurey correctly, FC5 will.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 15:48 EST by Maxwell Bottiger
Modified: 2008-01-29 06:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 06:20:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
failed login attempt (10.15 KB, text/plain)
2006-11-08 15:48 EST, Maxwell Bottiger
no flags Details
successful login (87.99 KB, text/plain)
2006-11-08 15:49 EST, Maxwell Bottiger
no flags Details

  None (edit)
Description Maxwell Bottiger 2006-11-08 15:48:45 EST
Description of problem:
I've upgraded a computer on my lan from Fedora 5 to Fedora 6 and it now will not
validate users against the open ldap server.  Fedora 5 clients are still working
ok, as is postfix.  Ldap is used to supply user information and kerberos is
being used for authenticaiton.  Both of these clients were set up with
system-config-authentication, and right now neither is useing SELinux or a
firewall.  (That will change after this is fixed)

Version-Release number of selected component (if applicable):
openldap-2.3.27-4 on the client
openldap-2.2.29-1.FC4 on the server
openldap-2.3.19-4 on the working client


How reproducible:
Every time

Steps to Reproduce:
1. su [username] or login in as a non root user
2.
3.
  
Actual results:
su: user [username] does not exist


Expected results:
login prompt


Additional info:

Attached are two logs generated by slapd.  One is the recording of a user that
logs in on a working client (named goodscript.txt) the other is a failed login
from the new FC6 client (named badscript.txt)
Comment 1 Maxwell Bottiger 2006-11-08 15:48:45 EST
Created attachment 140712 [details]
failed login attempt
Comment 2 Maxwell Bottiger 2006-11-08 15:49:36 EST
Created attachment 140713 [details]
successful login
Comment 3 Jan Safranek 2007-05-28 04:47:49 EDT
I know it's a bit late, but could you please try latest
openldap-clients-2.3.30-2.fc6 on your FC-6 box and let me know the results (with
logs and tcpdump from working client and from 'buggy' FC-6)? Thanks in advance.
Comment 4 Jan Safranek 2008-01-29 06:20:45 EST
I cannot reproduce the bug and the reporter did not provide requested
information. Please reopen the bug if the bug persists and you are able to
provide the logs I need.

Note You need to log in before you can comment on or make changes to this bug.